# $Id: tinyca2.spec 821 2007-07-20 02:10:48Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: Graphical Tool for Managing a Certificate Authority
Name: tinyca2
Version: 0.7.5
Release: %RErelease 2
Epoch: 0
License: GPL
Group: Applications/Databases
URL: http://tinyca.sm-zone.net/
Source0: http://tinyca.sm-zone.net/%{name}-%{version}.tar.bz2
Source1: stock_certificate.png
Patch0: %{name}-%{version}_el2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: gettext
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}
%{!?_without_freedesktop:Requires: gnome-icon-theme}
BuildArch: noarch

%description 
TinyCA is a graphical tool written in Perl/Gtk to manage a small Certificate
Authority (CA) using openssl.

TinyCA supports the following features:

* Unlimited CAs possible
* Support for creating and managing SubCAs
* Creation and Revocation of x509 - S/MIME certificates
* PKCS#10 Requests can be imported and signed
* RSA and DSA keys can be generated and used
* ServerCertificates
  o Certificates can be exported as: PEM, DER, TXT and PKCS#12
  o Certificates may be used with e.g. Apache, Postfix, OpenLDAP, Cyrus,
    FreeS/WAN, OpenVPN, OpenSWAN, FreeRadius
* ClientCertificates
  o Certificates can be exported as: PEM, DER, TXT and PKCS#12
  o Certificates may be used with e.g. Netscape, Konqueror, Opera, Internet
    Explorer, Outlook (Express) and FreeS/WAN
* Certificate Revocation List
  o CRLs can be exported as: PEM, DER and TXT

%prep
%setup -q
%{?el2:%patch0 -p1 -b .el2}
%{__perl} -pi.orig -e '
  s:./lib:%{_datadir}/%{name}:g;
  s:./templates:%{_datadir}/%{name}/templates:g;
  s:./locale:%{_datadir}/locale:g' tinyca2

%build
%{__make} -C po

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%if 0%{?_without_freedesktop:1}
echo "Icon=tinyca2.png" >> tinyca2.desktop
%{__install} -m 644 -p -D tinyca2.desktop ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Utilities/tinyca2.desktop
%{__install} -m 644 -p -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/tinyca2.png
%else
echo "Icon=stock_certificate.png" >> tinyca2.desktop
desktop-file-install --vendor="RE" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications tinyca2.desktop
%endif

%{__install} -m 755 -D -p tinyca2 ${RPM_BUILD_ROOT}%{_bindir}/tinyca2
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
%{__cp} -a lib/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
%{__install} -m 644 -D -p templates/openssl.cnf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/templates/openssl.cnf
for LANG in cs de es fr sv; do
  %{__install} -m 644 -D -p locale/${LANG}/LC_MESSAGES/tinyca2.mo \
    ${RPM_BUILD_ROOT}%{_datadir}/locale/${LANG}/LC_MESSAGES/tinyca2.mo
done
%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES INSTALL
%{_bindir}/*
%{_datadir}/%{name}
%{?_without_freedesktop:%{_datadir}/gnome/apps/Utilities/*}
%{?_without_freedesktop:%{_datadir}/pixmaps/tinyca2.png}
%{!?_without_freedesktop:%{_datadir}/applications/*}

%changelog
* Thu Jun 14 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.7.5-2
- Added Icon= to desktop file.

* Sun May 20 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.7.5-1
- First build.

